Bug 1214888 - copy config during setup, clean /etc/cluster during teardown
Summary: copy config during setup, clean /etc/cluster during teardown
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: common-ha
Version: 3.7.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1212823
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-23 19:01 UTC by Kaleb KEITHLEY
Modified: 2015-12-01 16:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1212823
Environment:
Last Closed: 2015-07-30 13:11:04 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2015-04-23 19:01:32 UTC
+++ This bug was initially created as a clone of Bug #1212823 +++

Description of problem:
There are some additional requirements in the ganesha-ha.sh script.
Documenting it here as a bug.

1.There should be a way in which the script itself creates and populates the file ganesha-ha.sh. The user shouldn't have to create and edit this file.
The script should ask for input and populate the file
2.The ganesha-ha.conf should be copied to all the nodes by the script
3. Preliminary validation of the ganesha-ha.conf
4.ganesha-ha.sh --refresh-config
5. Add-node : Create links in each directory and a new dir with all the links
6. Remove-node : Have a check if it is the last node or not.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Anand Avati on 2015-04-23 12:47:02 EDT ---

REVIEW: http://review.gluster.org/10355 (common-ha: copy config during setup, clean /etc/cluster during teardown) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 1 Anand Avati 2015-04-23 19:09:29 UTC
REVIEW: http://review.gluster.org/10359 (common-ha: copy config during setup, clean /etc/cluster during teardown) posted (#1) for review on release-3.7 by Kaleb KEITHLEY (kkeithle@redhat.com)


Note You need to log in before you can comment on or make changes to this bug.